#
# spec file for package perl-Log-Dispatch-FileRotate
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Log-Dispatch-FileRotate
%define cpan_name Log-Dispatch-FileRotate
Summary:        Log to files that archive/rotate themselves
Version:        1.19
Release:        14.5
License:        Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Log-Dispatch-FileRotate
Source0:        %{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Fcntl)
#BuildRequires:  perl(Module::Build)
# other not perl || perl-base
BuildRequires:  perl(Date::Manip)
BuildRequires:  perl(Log::Log4perl) >= 1.0
BuildRequires:  perl(Log::Dispatch::Output)
BuildRequires:  perl(Params::Validate)
Requires:       perl(File::Spec)
# other not perl || perl-base
Requires:       perl(Date::Manip)
Requires:       perl(Log::Dispatch)
Requires:       perl(Log::Log4perl) >= 1.0
Requires:       perl(Params::Validate)
Provides:       %{cpan_name}

%description
This module provides a simple object for logging to files under the
Log::Dispatch::* system, and automatically rotating them according to
different constraints. This is basically a Log::Dispatch::File wrapper
with additions. To that end the arguments

        name, min_level, filename and  mode

behave the same as Log::Dispatch::File. So see its man page (perldoc
Log::Dispatch::File)

Authors:
--------
    Mark Pfeiffer, <markpf@mlp-consulting.com.au>
     inspired by Dave Rolsky's, <autarchi@urth.org>, code :-)

    Kevin Goess <cpan@goess.org> suggested multiple writers should be supported.
     He also conned me into doing the time based stuff. Thanks Kevin! :-)

    Thanks also to Dan Waldheim for helping with some of the locking
     issues in a forked environment.

    And thanks to Stephen Gordon for his more portable code on lockfile naming.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS"
%{__make}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root)
%doc Changes README

%changelog
* Fri Nov 18 2011 coolo@suse.com
- use original tar.gz
* Tue Aug 30 2011 andrea.turrini@gmail.com
- standardized "Authors:" format in description of
  perl-Log-Dispatch-FileRotate.spec
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sun Apr  4 2010 chris@computersalat.de
- fix deps
  o Req perl-Log-Log4perl
* Sat Dec 12 2009 chris@computersalat.de
- initial pkg 1.19
